## emacs-deferred 0.4.0

=== Makefile ===
EMACS ?= emacs
CASK ?= cask

CURL=curl --silent -L
ERT_URL=http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/emacs-lisp/ert.el?h=emacs-24
ERT=ert
CL_URL=https://raw.githubusercontent.com/emacsmirror/cl-lib/master/cl-lib.el
CL=cl-lib

.PHONY: test test-deferred test-concurrent compile clean print-deps travis-ci

test: test-deferred test-deferred-compiled test-concurrent
# test-concurrent-compiled

test-deferred:
	$(CASK) exec ert-runner test/deferred-test.el

test-deferred-compiled: deferred.elc
	$(CASK) exec ert-runner test/deferred-test.el -l deferred.elc

test-concurrent:
	$(CASK) exec ert-runner test/concurrent-test.el

test-concurrent-compiled: concurrent.elc
	$(CASK) exec ert-runner test/concurrent-test.el -l concurrent.elc

compile: deferred.elc concurrent.elc

%.elc: %.el
	$(EMACS) -batch -L . -f batch-byte-compile $<

clean:
	rm -rfv *.elc

print-deps:
	@echo "----------------------- Dependencies -----------------------"
	$(EMACS) --version
	@echo "------------------------------------------------------------"

travis-ci: print-deps
	$(MAKE) clean test
	$(MAKE) compile test

## emacs-deferred 0.5.0

=== debian/changelog ===
emacs-deferred (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Refresh patches
  * Add emacs25 to Enhances field

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 18 Jan 2017 21:24:39 +0500

emacs-deferred (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #837921)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 15 Sep 2016 17:43:28 +0500

=== debian/control ===
Source: emacs-deferred
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/kiwanami/emacs-deferred
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-deferred.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-deferred.git

Package: elpa-deferred
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: simple asynchronous functions for Emacs Lisp
 It is a simple library for asynchronous tasks.
 .
 The API is almost the same as JSDeferred (by cho45) and Mochikit.Async
 (by Bob Ippolito) in JavaScript.

Package: elpa-concurrent
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs,
         elpa-deferred (= ${binary:Version})
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: higher level library for concurrent tasks
 It is a higher level library for concurrent tasks based on deferred.el. This
 library has following features:
 .
  - Generator
  - Green thread
  - Semaphore
  - Dataflow
  - Signal/Channel

## emacs-deferred 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,5 @@
 EMACS ?= emacs
 CASK ?= cask
-
-CURL=curl --silent -L
-ERT_URL=http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/emacs-lisp/ert.el?h=emacs-24
-ERT=ert
-CL_URL=https://raw.githubusercontent.com/emacsmirror/cl-lib/master/cl-lib.el
-CL=cl-lib
 
 .PHONY: test test-deferred test-concurrent compile clean print-deps travis-ci

=== debian/changelog ===
emacs-deferred (0.5.1-5) unstable; urgency=medium

  * Add patch to fix wrong-number-of-arguments error (Closes: #1020029)
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 07 Oct 2022 16:46:44 +0500

emacs-deferred (0.5.1-4) unstable; urgency=medium

  * Optimize dependencies in d/tests/control
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Add Testsuite field
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 31 Dec 2020 15:32:23 +0500

emacs-deferred (0.5.1-3) unstable; urgency=medium

  * Migrate to debhelper 12 without d/compat
  * Fix autopkgtest
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Clean dependencies
  * d/control: Drop Built-Using field
  * d/copyright: Bump copyright years
  * d/rules: Do not override dh_elpa_test

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 03 Aug 2019 00:52:49 +0500

emacs-deferred (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:18:46 -0300

emacs-deferred (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Rename and refresh patch to clear documentation
  * Don't pass --parallel to dh, compat is 10
  * Add patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 20 Jun 2017 10:25:04 +0500

=== debian/control ===
Source: emacs-deferred
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/kiwanami/emacs-deferred
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-deferred
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-deferred.git

Package: elpa-deferred
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: simple asynchronous functions for Emacs Lisp
 It is a simple library for asynchronous tasks.
 .
 The API is almost the same as JSDeferred (by cho45) and Mochikit.Async
 (by Bob Ippolito) in JavaScript.

Package: elpa-concurrent
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         elpa-deferred (= ${binary:Version})
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: higher level library for concurrent tasks
 It is a higher level library for concurrent tasks based on deferred.el. This
 library has following features:
 .
  - Generator
  - Green thread
  - Semaphore
  - Dataflow
  - Signal/Channel

=== debian/tests/control ===
Tests: all
Depends: @, emacs
